{% extends 'base.html.twig' %}

{% block title %}{% trans with {'organization': organization} %}Confirm deleting Frama.space for {organization}{% endtrans %}{% endblock %}

{% block body %}
    <h1>{% trans with {'subdomain': subdomain} %}Deleting your {subdomain}.frama.space space{% endtrans %}</h1>
    <p>{% trans %}Do you really wish to delete your Frama.space space?{% endtrans %}</p>
    <p>{% trans %}This will have the following consequences:{% endtrans %}</p>
    <ul>
        <li>{% trans with {'subdomain': subdomain} %}You and any user from your space will not be able to connect to {subdomain}.frama.space and use its features anymore{% endtrans %}</li>
        <li>{% trans %}You and any user from your space will not be able to retrieve any of the files, documents and anything you've saved to your space{% endtrans %}</li>
        <li>{% trans %}Sync clients you or users from your space are using will no longer work{% endtrans %}</li>
        <li>{% trans %}Any remote user with whom you or any user from your space created a federated share will lose access to the shared data{% endtrans %}</li>
        <li>{% trans %}Any public share (file, calendar, public talk room) you created and maybe linked to somewhere won't be accessible anymore as well{% endtrans %}</li>
    </ul>
    <p>{% trans with {'deletion_date': deletion_date, 'subdomain': subdomain} %}This is all reversible for 30 days after you initiate the deletion. After the {deletion_date, date}, all data from {subdomain}.frama.space and this space management service will be permanently deleted.{% endtrans %}</p>
    <p>{% trans %}Copies of your information may remain after the 30 days in backup storage that we use to recover in the event of a disaster, software error, or other data loss event.{% endtrans %}</p>

    {{ form_start(form) }}
    {{ form_row(form.understoodConsequences) }}
    {{ form_row(form.madeBackups) }}
    {{ form_row(form.disconnectedSyncClients) }}

    <div class="mb-3">
        {{ form_label(form.subdomain) }}

        <div class="input-group">
            {{ form_widget(form.subdomain) }}
            <span class="input-group-text">.frama.space</span>
        </div>
        {{ form_errors(form.subdomain) }}
    </div>

    {{ form_end(form) }}
    <a href="{{ path('view_space') }}">{% trans %}Back to space overview{% endtrans %}</a>

{% endblock %}